Page MenuHomePhabricator

Set "Self Actions" for default user to "Do not send me an email when I take an action".
Closed, DeclinedPublic

Description

I was just flooded with an email for each action I made. As on bugzilla, actions made by me shouldn't send me emails unless I requested them

Phabricator doesn't support this option by default, hence this request must be followed upstream:

Once this setting exists, we will enable it in our instances.

Details

Reference
fl135

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:26 AM
flimport set Reference to fl135.

qgil wrote on 2014-04-17 22:17:27 (UTC)

Email preferences > Self actions > Do not send me an email when I take an action

qgil wrote on 2014-04-21 23:09:49 (UTC)

◀ Merged tasks: T189.

Nemo_bis wrote on 2014-06-16 08:26:38 (UTC)

I don't understand if the default configuration was/will be changed or not.

qgil wrote on 2014-06-16 18:48:51 (UTC)

I believe the default configuration can be defined to NOT send emails to users for their own actions, and I agree that this is something we would need to change in the Phabricator instance(s) we create.

aklapper wrote on 2014-06-17 12:04:51 (UTC)

If expectations are based on Bugzilla's default notification settings:
"but not when: The change was made by me" is enabled by default in a Bugzilla user's notification settings.
For a fresh account in fab.wmflabs.org, "Self Actions" is set to "Send me an email when I take an action".

Cannot find a default setting under /config/all.

I'll reopen this and change the task summary; but this feels like low priority and we'd survive if people had to change this setting themselves.

aklapper wrote on 2014-07-23 15:51:22 (UTC)

I've moved this to after day 1 as we do not plan to investigate this and make this block Day 1. Plus Phab currently does not allow setting a default value for this so we'd require custom code.

People can easily change the setting if they get too annoyed and we'll document how to do this (T350).

Nemo_bis wrote on 2014-07-24 00:22:45 (UTC)

People can easily change the setting if they get too annoyed and we'll document how to do this (T350).

It should also be added to the migration plan, so that the bugzilla setting is retained for all imported users.

aklapper wrote on 2014-07-24 10:21:05 (UTC)

Again: We will NOT do this for day 1. Hence nothing to add for migration.

Nemo_bis wrote on 2014-08-15 09:33:02 (UTC)

In T135#29, @Aklapper wrote:

Again: We will NOT do this for day 1. Hence nothing to add for migration.

It makes no sense to import users AFTER day 1. Is there any ticket documenting the fact that you plan a multi-step import of user data?

aklapper wrote on 2014-08-15 11:32:24 (UTC)

In T135#26, @Nemo_bis wrote:

It should also be added to the migration plan, so that the bugzilla setting is retained for all imported users.

Not possible, as I wrote before: "Phab currently does not allow setting a default value for this so we'd require custom code."

In T135#32, @Nemo_bis wrote:

It makes no sense to import users AFTER day 1.

I don't get how this is related to the topic of this task.

Again: WONTFIX for Day 1. Very likely WONTFIX/Declined after day 1 too.
Likely enough so I'm also going to close this as WONTFIX/Declined.

Is there any ticket documenting the fact that you plan a multi-step import of user data?

Need to trick @Rush into replying to http://fab.wmflabs.org/T423#20 which is related

importing issue status

flimport closed this task as Declined.Sep 12 2014, 1:26 AM
flimport added a subscriber: Aklapper.
Qgil changed the task status from Duplicate to Declined.Oct 30 2014, 9:39 AM
Qgil added a subscriber: Qgil.

Er... sorry, I merged the tasks in the opposite order. Fixing.

Qgil reopened this task as Open.Oct 30 2014, 9:45 AM
Qgil removed Aklapper as the assignee of this task.
Qgil lowered the priority of this task from Medium to Lowest.
Qgil updated the task description. (Show Details)
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.
Qgil set Security to None.
Qgil moved this task from Backlog to Wikimedia requests on the Phabricator (Upstream) board.
saper added a comment.Nov 9 2014, 4:25 PM

sorry for dupe, I did check T15 dependencies only...

Qgil raised the priority of this task from Lowest to Low.Nov 9 2014, 8:22 PM

This discussion has likewise happened upstream and they relied on data on actual user behavior to settle it.

In looking at this instance:

Users: 789 (count on rows)
Users who have non-default profile preferences: 251
Users who have changed the self-mail default: 26

It seems like actual user behavior favors the existing settings.

demon removed a subscriber: demon.Dec 12 2014, 5:25 AM
greg removed a subscriber: greg.Dec 12 2014, 6:26 PM
Dzahn removed a subscriber: Dzahn.Dec 16 2014, 2:24 PM
Qgil added a comment.Mar 17 2015, 7:50 AM

@chasemp, would you mind checking this statistic again, now the use of Phabricator in Wikimedia is more mature? Upstream's Chad was wondering about some data below https://secure.phabricator.com/T5358#101769 and I wonder whether a second data point would shed some light.

https://secure.phabricator.com/T5358 has basically been declined. I think we need to decide whether this functionality is worth a local hack.

Aklapper lowered the priority of this task from Low to Lowest.Mar 26 2015, 1:52 PM

I'm proposing to decline this request.
It has been four months of regular use of Phabricator and we've seen three comments about the current default behavior. Imagining some more users who might not have spoken up, but with more than 2000 registered users, this does not seem to be an issue for the vast majority, plus we provide documentation how to change the setting if wanted.

I would also vote to close this. I personally do not get emails from my own actions. I don't seem to have any emails settings that manage this

mmodell closed this task as Declined.Sep 12 2015, 9:36 AM
mmodell claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM